> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domsoftware.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Deletar Produto

> Executa o "Soft Delete" de um produto. Ele deixa de ser ofertado e listado para vendas ou vinculações novas, mas os históricos são devidamente mantidos.

### Path

<ParamField path="id" type="string" required>
  O UUID que receberá a baixa.
</ParamField>

### Response

A rota responde de maneira simplificada após sucesso, invalidando registros no cache local do tenant.

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "cffbca85-da89-4b2a-aecf-31422abcb34a",
    "message": "The product has been successfully deleted." 
  }
  ```
</ResponseExample>


## OpenAPI

````yaml delete /products/{id}
openapi: 3.0.0
info:
  title: Hub Marketplace API
  description: API for managing marketplace listings and keys
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: listings
    description: ''
paths:
  /products/{id}:
    delete:
      tags:
        - Products
      summary: Soft delete a product
      operationId: ProductController_remove
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: The product has been successfully deleted.
        '404':
          description: Product not found.

````